View Issue Details

IDProjectCategoryView StatusLast Update
0003376GNUnetsecret sharing servicepublic2018-06-07 00:25
ReporterBart PolotAssigned ToFlorian Dold 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003376: Secretsharing service crash when running profiler
Description./gnunet-secretsharing-profiler -c test_secretsharing.conf -n16 -d
[stuff happens]
        core.2271.!tmp!gnunet!lib!gnunet!libexec!gnunet-service-secretsharing
        core.2292.!tmp!gnunet!lib!gnunet!libexec!gnunet-service-secretsharing
        core.2300.!tmp!gnunet!lib!gnunet!libexec!gnunet-service-secretsharing
        core.2309.!tmp!gnunet!lib!gnunet!libexec!gnunet-service-secretsharing
        core.2323.!tmp!gnunet!lib!gnunet!libexec!gnunet-service-secretsharing

Program terminated with signal SIGSEGV, Segmentation fault.
#0 0x000000000040326c in keygen_round2_conclude (cls=0x116bcd0) at gnunet-service-secretsharing.c:742
742 if (GNUNET_YES == ks->info[i].round2_valid)
(gdb) bt
#0 0x000000000040326c in keygen_round2_conclude (cls=0x116bcd0) at gnunet-service-secretsharing.c:742
#1 0x00007fc3265f906a in handle_conclude_done (cls=0x116da30, msg=0x7fff4aa8bf80) at consensus_api.c:153
#2 0x00007fc326838730 in GNUNET_MQ_inject_message (mq=0x1167ae0, mh=0x7fff4aa8bf80) at mq.c:190
#3 0x00007fc3268399ab in handle_client_message (cls=0x1167ae0, msg=0x7fff4aa8bf80) at mq.c:542
#4 0x00007fc32680da55 in receive_task (cls=0x1171510, tc=0x7fff4aa8c050) at client.c:595
#5 0x00007fc326847e0c in run_ready (rs=0x116a870, ws=0x116a900) at scheduler.c:595
#6 0x00007fc32684869a in GNUNET_SCHEDULER_run (task=0x7fc32685493f <service_task>, task_cls=0x7fff4aa8c3f0)
    at scheduler.c:817
#7 0x00007fc3268566d3 in GNUNET_SERVICE_run (argc=4, argv=0x7fff4aa8c678, service_name=0x409952 "secretsharing",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x408413 <run>, task_cls=0x0) at service.c:1493
#8 0x0000000000408704 in main (argc=4, argv=0x7fff4aa8c678) at gnunet-service-secretsharing.c:1773
(gdb)
Additional Information(gdb) l
737 share = GNUNET_new (struct GNUNET_SECRETSHARING_Share);
738
739 share->num_peers = 0;
740
741 for (i = 0; i < ks->num_peers; i++)
742 if (GNUNET_YES == ks->info[i].round2_valid)
743 share->num_peers++;
744
745 share->peers = GNUNET_new_array (share->num_peers, struct GNUNET_PeerIdentity);
746 share->sigmas =
(gdb) bt full
#0 0x000000000040326c in keygen_round2_conclude (cls=0x116bcd0) at gnunet-service-secretsharing.c:742
        ks = 0x116bcd0
        m = 0xdf0adba0df0adba
        ev = 0x1171510
        share_size = 1
        i = 0
        j = 18289936
        share = 0x116c5d0
        __FUNCTION__ = "keygen_round2_conclude"
#1 0x00007fc3265f906a in handle_conclude_done (cls=0x116da30, msg=0x7fff4aa8bf80) at consensus_api.c:153
        consensus = 0x116da30
        cc = 0x40319d <keygen_round2_conclude>
        __FUNCTION__ = "handle_conclude_done"
#2 0x00007fc326838730 in GNUNET_MQ_inject_message (mq=0x1167ae0, mh=0x7fff4aa8bf80) at mq.c:190
        handler = 0x7fc3267f9ab0 <mq_handlers+16>
        handled = 0
        __FUNCTION__ = "GNUNET_MQ_inject_message"
#3 0x00007fc3268399ab in handle_client_message (cls=0x1167ae0, msg=0x7fff4aa8bf80) at mq.c:542
        mq = 0x1167ae0
        state = 0x1168740
#4 0x00007fc32680da55 in receive_task (cls=0x1171510, tc=0x7fff4aa8c050) at client.c:595
        client = 0x1171510
        handler = 0x7fc326839937 <handle_client_message>
        cmsg = 0x11ac1d0
        handler_cls = 0x1167ae0
        msize = 4
        mbuf = 0x7fff4aa8bf80 ""
        msg = 0x7fff4aa8bf80
        __FUNCTION__ = "receive_task"
#5 0x00007fc326847e0c in run_ready (rs=0x116a870, ws=0x116a900) at scheduler.c:595
        p = GNUNET_SCHEDULER_PRIORITY_DEFAULT
        pos = 0x116c740
        tc = {reason = GNUNET_SCHEDULER_REASON_TIMEOUT, read_ready = 0x116a870, write_ready = 0x116a900}
        __FUNCTION__ = "run_ready"
#6 0x00007fc32684869a in GNUNET_SCHEDULER_run (task=0x7fc32685493f <service_task>, task_cls=0x7fff4aa8c3f0)
    at scheduler.c:817
        rs = 0x116a870
        ws = 0x116a900
        timeout = {rel_value_us = 0}
        ret = 0
        shc_int = 0x116b280
        shc_term = 0x116b340
        shc_quit = 0x116b4c0
        shc_hup = 0x116b580
        shc_pipe = 0x116b400
        last_tr = 58
        busy_wait_warning = 0
        pr = 0x116dbb0
        c = 0 '\000'
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#7 0x00007fc3268566d3 in GNUNET_SERVICE_run (argc=4, argv=0x7fff4aa8c678, service_name=0x409952 "secretsharing",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x408413 <run>, task_cls=0x0) at service.c:1493
        err = 0
        ret = 4
        cfg_fn = 0x1162700 "~/.config/gnunet.conf"
        opt_cfg_fn = 0x1162850 "/tmp/testbedMpK7Rq/7/config"
        loglev = 0x1162880 "INFO"
        logfile = 0x0
        do_daemonize = 0
        i = 4228115
        skew_offset = 140476146069808
        skew_variance = 140734445962728
        clock_offset = 4201072
---Type <return> to continue, or q <return> to quit---
        sctx = {cfg = 0x1162720, server = 0x116b890, addrs = 0x0, service_name = 0x409952 "secretsharing",
          task = 0x408413 <run>, task_cls = 0x0, v4_denied = 0x0, v6_denied = 0x0, v4_allowed = 0x117a250,
          v6_allowed = 0x116a810, my_handlers = 0x116fb60, addrlens = 0x0, lsocks = 0x1165620, shutdown_task = 0,
          timeout = {rel_value_us = 18446744073709551615}, ret = 1, ready_confirm_fd = -1, require_found = 1,
          match_uid = 1, match_gid = 1, options = GNUNET_SERVICE_OPTION_NONE}
        cfg = 0x1162720
        xdg = 0x0
        service_options = {{shortName = 99 'c', name = 0x7fc32686428d "config",
            argumentHelp = 0x7fc326864294 "FILENAME",
            description = 0x7fc3268642a0 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7fc326835c0c <GNUNET_GETOPT_set_string>, scls = 0x7fff4aa8c4a8}, {shortName = 100 'd',
            name = 0x7fc3268642c0 "daemonize", argumentHelp = 0x0,
            description = 0x7fc3268642d0 "do daemonize (detach from terminal)", require_argument = 0,
            processor = 0x7fc326835bdf <GNUNET_GETOPT_set_one>, scls = 0x7fff4aa8c494}, {shortName = 104 'h',
            name = 0x7fc3268642f4 "help", argumentHelp = 0x0, description = 0x7fc3268642f9 "print this help",
            require_argument = 0, processor = 0x7fc3268356a6 <GNUNET_GETOPT_format_help_>, scls = 0x0}, {
            shortName = 76 'L', name = 0x7fc326864309 "log", argumentHelp = 0x7fc32686430d "LOGLEVEL",
            description = 0x7fc326864318 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7fc326835c0c <GNUNET_GETOPT_set_string>, scls = 0x7fff4aa8c4a0}, {shortName = 108 'l',
            name = 0x7fc32686433a "logfile", argumentHelp = 0x7fc326864342 "LOGFILE",
            description = 0x7fc326864350 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x7fc326835c0c <GNUNET_GETOPT_set_string>, scls = 0x7fff4aa8c498}, {shortName = 118 'v',
            name = 0x7fc32686437b "version", argumentHelp = 0x0,
            description = 0x7fc326864383 "print the version number", require_argument = 0,
            processor = 0x7fc326835660 <GNUNET_GETOPT_print_version_>, scls = 0x7fc32686439c}, {
            shortName = 0 '\000', name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0,
            processor = 0x0, scls = 0x0}}
        __FUNCTION__ = "GNUNET_SERVICE_run"
#8 0x0000000000408704 in main (argc=4, argv=0x7fff4aa8c678) at gnunet-service-secretsharing.c:1773
No locals.
(gdb)


-------------------------------------------------------------------------------
A different core file:

#0 0x00007f7d3d547c66 in malloc_usable_size () from /usr/lib/libc.so.6
No symbol table info available.
#1 0x00007f7d3e9a65cc in GNUNET_xfree_ (ptr=0x11edba0, filename=0x7f7d3e9f4380 "configuration.c", linenumber=623)
    at common_allocation.c:230
        baadfood = 1004493731513019834
        base = 0x11edba0
        s = 24
        i = 3
        __FUNCTION__ = "GNUNET_xfree_"
#2 0x00007f7d3e9aa680 in GNUNET_CONFIGURATION_remove_section (cfg=0x11e0720, section=0x11edc80 "\220\334\036\001")
    at configuration.c:623
        spos = 0x11edba0
        prev = 0x0
        ent = 0x0
#3 0x00007f7d3e9a8f5a in GNUNET_CONFIGURATION_destroy (cfg=0x11e0720) at configuration.c:134
        sec = 0x11edba0
#4 0x00007f7d3e9eca8a in GNUNET_SERVICE_run (argc=4, argv=0x7fff9a47d438, service_name=0x409952 "secretsharing",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x408413 <run>, task_cls=0x0) at service.c:1527
        err = 0
        ret = 4
        cfg_fn = 0x11e0700 "~/.config/gnunet.conf"
        opt_cfg_fn = 0x11e0850 "/tmp/testbedMpK7Rq/14/config"
        loglev = 0x11e0880 "INFO"
        logfile = 0x0
        do_daemonize = 0
        i = 4228115
        skew_offset = 140175902675248
        skew_variance = 140735781786536
        clock_offset = 4201072
        sctx = {cfg = 0x11e0720, server = 0x11e9850, addrs = 0x0, service_name = 0x409952 "secretsharing",
          task = 0x408413 <run>, task_cls = 0x0, v4_denied = 0x0, v6_denied = 0x0, v4_allowed = 0x11f8250,
          v6_allowed = 0x11e87d0, my_handlers = 0x11ee520, addrlens = 0x0, lsocks = 0x11e3620, shutdown_task = 0,
          timeout = {rel_value_us = 18446744073709551615}, ret = 1, ready_confirm_fd = -1, require_found = 1,
          match_uid = 1, match_gid = 1, options = GNUNET_SERVICE_OPTION_NONE}
        cfg = 0x11e0720
        xdg = 0x0
        service_options = {{shortName = 99 'c', name = 0x7f7d3e9fa28d "config",
            argumentHelp = 0x7f7d3e9fa294 "FILENAME",
            description = 0x7f7d3e9fa2a0 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7f7d3e9cbc0c <GNUNET_GETOPT_set_string>, scls = 0x7fff9a47d268}, {shortName = 100 'd',
            name = 0x7f7d3e9fa2c0 "daemonize", argumentHelp = 0x0,
            description = 0x7f7d3e9fa2d0 "do daemonize (detach from terminal)", require_argument = 0,
            processor = 0x7f7d3e9cbbdf <GNUNET_GETOPT_set_one>, scls = 0x7fff9a47d254}, {shortName = 104 'h',
            name = 0x7f7d3e9fa2f4 "help", argumentHelp = 0x0, description = 0x7f7d3e9fa2f9 "print this help",
            require_argument = 0, processor = 0x7f7d3e9cb6a6 <GNUNET_GETOPT_format_help_>, scls = 0x0}, {
            shortName = 76 'L', name = 0x7f7d3e9fa309 "log", argumentHelp = 0x7f7d3e9fa30d "LOGLEVEL",
            description = 0x7f7d3e9fa318 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7f7d3e9cbc0c <GNUNET_GETOPT_set_string>, scls = 0x7fff9a47d260}, {shortName = 108 'l',
            name = 0x7f7d3e9fa33a "logfile", argumentHelp = 0x7f7d3e9fa342 "LOGFILE",
            description = 0x7f7d3e9fa350 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x7f7d3e9cbc0c <GNUNET_GETOPT_set_string>, scls = 0x7fff9a47d258}, {shortName = 118 'v',
            name = 0x7f7d3e9fa37b "version", argumentHelp = 0x0,
            description = 0x7f7d3e9fa383 "print the version number", require_argument = 0,
            processor = 0x7f7d3e9cb660 <GNUNET_GETOPT_print_version_>, scls = 0x7f7d3e9fa39c}, {
            shortName = 0 '\000', name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0,
            processor = 0x0, scls = 0x0}}
        __FUNCTION__ = "GNUNET_SERVICE_run"
#5 0x0000000000408704 in main (argc=4, argv=0x7fff9a47d438) at gnunet-service-secretsharing.c:1773
No locals.
(gdb)


-------------------------------------------------------------------------------

(gdb) bt
#0 0x00007f428f8a35f1 in GNUNET_xfree_ (ptr=0x783e00, filename=0x7f428f8f1380 "configuration.c", linenumber=622)
    at common_allocation.c:234
#1 0x00007f428f8a7668 in GNUNET_CONFIGURATION_remove_section (cfg=0x772720,
    section=0x783e00 "\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r"...) at configuration.c:622
#2 0x00007f428f8a5f5a in GNUNET_CONFIGURATION_destroy (cfg=0x772720) at configuration.c:134
#3 0x00007f428f8e9a8a in GNUNET_SERVICE_run (argc=4, argv=0x7fffcec7f7c8, service_name=0x409952 "secretsharing",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x408413 <run>, task_cls=0x0) at service.c:1527
#4 0x0000000000408704 in main (argc=4, argv=0x7fffcec7f7c8) at gnunet-service-secretsharing.c:1773
(gdb)


-------------------------------------------------------------------------------

#0 0x000000000040326c in keygen_round2_conclude (cls=0x873cd0) at gnunet-service-secretsharing.c:742
742 if (GNUNET_YES == ks->info[i].round2_valid)
(gdb) bt
#0 0x000000000040326c in keygen_round2_conclude (cls=0x873cd0) at gnunet-service-secretsharing.c:742
#1 0x00007f9fbe69a06a in handle_conclude_done (cls=0x86faf0, msg=0x7fffddfa68b0) at consensus_api.c:153
#2 0x00007f9fbe8d9730 in GNUNET_MQ_inject_message (mq=0x875aa0, mh=0x7fffddfa68b0) at mq.c:190
#3 0x00007f9fbe8da9ab in handle_client_message (cls=0x875aa0, msg=0x7fffddfa68b0) at mq.c:542
#4 0x00007f9fbe8aea55 in receive_task (cls=0x879510, tc=0x7fffddfa6980) at client.c:595
#5 0x00007f9fbe8e8e0c in run_ready (rs=0x872870, ws=0x872900) at scheduler.c:595
#6 0x00007f9fbe8e969a in GNUNET_SCHEDULER_run (task=0x7f9fbe8f593f <service_task>, task_cls=0x7fffddfa6d20)
    at scheduler.c:817
#7 0x00007f9fbe8f76d3 in GNUNET_SERVICE_run (argc=4, argv=0x7fffddfa6fa8, service_name=0x409952 "secretsharing",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x408413 <run>, task_cls=0x0) at service.c:1493
#8 0x0000000000408704 in main (argc=4, argv=0x7fffddfa6fa8) at gnunet-service-secretsharing.c:1773
(gdb)
TagsNo tags attached.

Activities

Florian Dold

2014-04-14 23:28

developer   ~0008242

Should be fixed in r33071.

Bart Polot

2014-04-15 00:35

manager   ~0008246

Seems fixed.

Issue History

Date Modified Username Field Change
2014-04-10 12:52 Bart Polot New Issue
2014-04-10 12:52 Bart Polot Status new => assigned
2014-04-10 12:52 Bart Polot Assigned To => Florian Dold
2014-04-11 15:22 Christian Grothoff Target Version => 0.11.0pre66
2014-04-14 23:28 Florian Dold Note Added: 0008242
2014-04-14 23:28 Florian Dold Status assigned => feedback
2014-04-15 00:35 Bart Polot Note Added: 0008246
2014-04-15 00:35 Bart Polot Status feedback => assigned
2014-06-04 15:31 Christian Grothoff Status assigned => resolved
2014-06-04 15:31 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-06-04 15:31 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed